2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Get Manhole Inspection XML upload status

Prev Next
Get
/manhole-inspection/upload/status/{taskId}/

Poll processingStatus for a background manhole inspection XML import.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
taskId
stringRequired
Responses
200

Current import status.

Expand All
object
created_count
integer
errors
Array of object
object
processingStatus
string
Valid values[ "pending", "completed", "failed" ]
report_numbers
Array of string
string
status
string

Import outcome when processingStatus is completed.

Valid values[ "imported", "duplicate" ]
taskId
string
warnings
Array of string
string
401

Authentication credentials were not provided or are invalid.

404

Unknown, expired, wrong upload type, or another user's task id.